javax.jms

## Class InvalidDestinationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - javax.jms.InvalidDestinationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidDestinationException

    public class InvalidDestinationException
    extends JMSException

This exception must be thrown when a destination either is not understood by a provider or is no longer valid.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidDestinationException(java.lang.String reason)` Constructs an `InvalidDestinationException` with the specified reason.
`InvalidDestinationException(java.lang.String reason, java.lang.String errorCode)` Constructs an `InvalidDestinationException` with the specified reason and error code.

### Method Summary

### Methods inherited from class javax.jms.JMSException

`getErrorCode, getLinkedException, setLinkedException`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidDestinationException

    public InvalidDestinationException(java.lang.String reason,
                               java.lang.String errorCode)

Constructs an `InvalidDestinationException` with the specified reason and error code.

Parameters:
  `reason` - a description of the exception
  `errorCode` - a string specifying the vendor-specific error code

#### InvalidDestinationException

    public InvalidDestinationException(java.lang.String reason)

Constructs an `InvalidDestinationException` with the specified reason. The error code defaults to null.

Parameters:
  `reason` - a description of the exception